import Head from "next/head";
import "./styles/globals.css";
import Navbar from "./sections/home/navbar-section";
import { HeroSection } from "./sections/home/hero-section";
import EarlyAccess from "./sections/home/earlyaccess-section";
import { AppSection } from "./sections/home/app-section";
import { AppSectionData, WhyYouShouldSection } from "./data/home/home.data";
import Eligibility from "./sections/home/eligibility-section";
import { CircleFeatures } from "./sections/home/circle-features-section";
import { FeaturesSection } from "./sections/home/features-section";
import { Community } from "./sections/home/community-section";
import { ThemeProvider } from "styled-components";
import { MatriDefaultTheme } from "./theme/matri-default.theme";
import { TestimonialSection } from "./sections/home/testimonials-section";
import { BlogsSection } from "./sections/home/blogs.section";
import { FooterSection } from "./sections/home/footer-section";

export default function Home() {
  return (
    <>
      <Head>
        <title>MatriMilan</title>
        <meta name="description" content="Generated by create next app" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="icon" href="/logo.ico" />
      </Head>
      <Navbar />
      <HeroSection />
      <EarlyAccess />

      <AppSection
        title={AppSectionData.title}
        description={AppSectionData.description}
      />
      <Eligibility />
      <FeaturesSection />
      <CircleFeatures
        title={WhyYouShouldSection.title}
        desc={WhyYouShouldSection.desc}
      />
      <Community />
      <TestimonialSection />
      <BlogsSection />
      <FooterSection />
    </>
  );
}
